package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.examwork.api.ExamStudentCloudService;
import cn.com.qmth.examcloud.examwork.api.request.ExamStudentReq;

public class ExamStudentCloudClient extends BasicCloudClientSupport implements ExamStudentCloudService{

	@Autowired
	private RestTemplate restTemplate;
	
	@Override
	public void saveExamStudent(ExamStudentReq examStudentReq) {
		post("examStudent", examStudentReq, ExamStudentReq.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}
	
}
