package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.ExamReq;
import cn.com.qmth.examcloud.examwork.api.response.ExamResp;

/**
 * @author  	chenken
 * @date    	2018年5月3日 上午9:20:02
 * @company 	QMTH
 * @description ExamService.java
 */
public interface ExamCloudService extends CloudService {
	
	/**
	 * 保存考试
	 * @param exam
	 */
	public void saveExam(ExamReq exam);
	
	/**
	 * 查询考试
	 * @param name
	 * @return
	 */
	public ExamResp findExamByExamReq(ExamReq exam);
	
}

