package cn.com.qmth.examcloud.service.examwork.criteria;

import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.io.Serializable;

/**
 * Created by songyue on 18/4/2.
 */
public abstract class BasePageable implements Serializable{

    private static final long serialVersionUID = -183445483309358532L;

    protected Integer curPage;

    protected Integer pageSize;

    public Integer getCurPage() {
        return curPage;
    }

    public void setCurPage(Integer curPage) {
        this.curPage = curPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public BasePageable() {
        this.curPage = 0;
        this.pageSize = 10;
    }

    public Pageable getPageable(){
        return new PageRequest(this.curPage,this.pageSize);
    }
}
