package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.ExamSetting4Course;

public interface ExamSetting4CourseRepo
		extends JpaRepository<ExamSetting4Course, Long>, QueryByExampleExecutor<ExamSetting4Course> {

	@Query(value = "select * from ecs_e_exam_4_course t where t.exam_id=?1 order by id desc limit ?2,?3", nativeQuery = true)
	List<ExamSetting4Course> findByExamId(@Param("examId") Long examId, @Param("curPage") Integer curPage,
			@Param("pageSize") Integer pageSize);

	@Query(value = "select x.* from ecs_e_exam_4_course x,ecs_e_exam_course_relation  y where x.id=y.specific_exam_id and y.course_id=?1", nativeQuery = true)
	List<ExamSetting4Course> queryCourseGroupsByCourseId(@Param("courseId") Long courseId);

}
