package cn.com.qmth.examcloud.service.examwork.service.rpc;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.dto.core.Org;
import cn.com.qmth.examcloud.commons.base.util.GsonUtil;
import cn.com.qmth.examcloud.service.examwork.service.rpc.client.OrgClient;

import java.util.List;

/**
 * 
 * @author ting.yin
 * @date 2017年1月14日
 */
@Service
public class OrgService {

	@Autowired
	OrgClient orgClient;

	public Org findByParentIdAndCode(Long orgId,String code) {
		String json = orgClient.findByParentIdAndCode(orgId, code);
		Org domain = GsonUtil.getInstanceByJson(json, Org.class);
		return domain;
	}

	public List<Org> findByParentId(String token,Long orgId) {
		String json = orgClient.findByParentId(token,orgId);
		List<Org> orgList = GsonUtil.jsonToArrayList(json, Org.class);
		return orgList;
	}

}
