package cn.com.qmth.examcloud.service.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Description: TODO
 * @author ting.yin
 * @date 2017年1月14日
 */
@FeignClient(value = "ExamCloud-service-core")
public interface CourseClient {

	@RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/course")
	String findByOrgIdAndCode(@RequestParam("orgId") Long orgId,@RequestParam("code") String code);


	@RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/course/org/{orgId}")
	String findByOrgId(@PathVariable("orgId") Long orgId);

}
