package cn.com.qmth.examcloud.service.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * Created by songyue on 17/7/20.
 */
@FeignClient(value = "ExamCloud-service-core")
public interface SpecialtyClient {

	@RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/specialty")
	String findByOrgIdAndCode(@RequestParam("orgId") Long orgId, @RequestParam("code") String code);

}
