package cn.com.qmth.examcloud.service.examwork.service.sync;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.dto.em.ExamSync;
import cn.com.qmth.examcloud.commons.base.util.BeanCopierUtil;
import cn.com.qmth.examcloud.service.examwork.entity.Exam;

import com.qmth.commons.dataSync.core.service.DataSyncService;

@Service
public class DataSendService {
	
	@Autowired
    DataSyncService dataSyncService;
	
	/**
	 * 发送exam
	 * @param exam
	 */
	public void sendExam(Exam exam){
		ExamSync examSync = BeanCopierUtil.copyProperties(exam,ExamSync.class);
		dataSyncService.send(examSync);
	}
}
