package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.ExamSetting4Org;

public interface ExamSetting4OrgRepo
		extends
			JpaRepository<ExamSetting4Org, Long>,
			QueryByExampleExecutor<ExamSetting4Org> {

	List<ExamSetting4Org> findAllByExamId(Long examId, Pageable pageable);

	List<ExamSetting4Org> findAllByExamIdAndOrgId(Long examId, Long orgId, Pageable pageable);

}
