package cn.com.qmth.examcloud.service.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Created by songyue on 17/7/20.
 */
@FeignClient(value = "ExamCloud-SERVICE-OE")
public interface OeClient {

    @RequestMapping(method = RequestMethod.GET, value = "/api/exam_record/count")
    int checkExamRecord(@RequestParam("examId") Long examId, @RequestParam(value = "identityNumber", required = false) String identityNumber);

    @RequestMapping(method = RequestMethod.GET, value = "/api/exam_record/count")
    int checkExamRecord(@RequestParam("examId") Long examId);
}
