#!/bin/bash

APP_MAIN_JAR="examcloud-core-examwork-starter-2.0-SNAPSHOT.jar"

FILE_PATH=$(cd `dirname $0`; pwd)

JAVA_OPTS=`cat $FILE_PATH/vmoptions`

echo "java options:"
echo "$JAVA_OPTS"

PID_LIST=`ps -ef|grep $APP_MAIN_JAR|grep java|awk '{print $2}'`

if [ ! -z "$PID_LIST" ]; then
    echo "[ERROR] : APP is already running!"
    exit -1
fi
    
if [ -z "$1" ]; then
    echo "[ERROR] :first param must be ['dev','test','prod']"
    exit -1
fi

if [ ! -z "$1" ]; then
  nohup java $JAVA_OPTS -jar $FILE_PATH/lib/$APP_MAIN_JAR --spring.profiles.active=$1 >/dev/null 2>&1 &
else
  nohup java $JAVA_OPTS -jar $FILE_PATH/lib/$APP_MAIN_JAR >/dev/null 2>&1 &
fi
echo "starting......"



exit 0

